import { __assign, __extends } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { CodePipelineServiceException as __BaseException } from "./CodePipelineServiceException";
export var JobStatus;
(function (JobStatus) {
    JobStatus["Created"] = "Created";
    JobStatus["Dispatched"] = "Dispatched";
    JobStatus["Failed"] = "Failed";
    JobStatus["InProgress"] = "InProgress";
    JobStatus["Queued"] = "Queued";
    JobStatus["Succeeded"] = "Succeeded";
    JobStatus["TimedOut"] = "TimedOut";
})(JobStatus || (JobStatus = {}));
var InvalidNonceException = (function (_super) {
    __extends(InvalidNonceException, _super);
    function InvalidNonceException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNonceException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNonceException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNonceException.prototype);
        return _this;
    }
    return InvalidNonceException;
}(__BaseException));
export { InvalidNonceException };
var JobNotFoundException = (function (_super) {
    __extends(JobNotFoundException, _super);
    function JobNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "JobNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "JobNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, JobNotFoundException.prototype);
        return _this;
    }
    return JobNotFoundException;
}(__BaseException));
export { JobNotFoundException };
var ValidationException = (function (_super) {
    __extends(ValidationException, _super);
    function ValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationException.prototype);
        return _this;
    }
    return ValidationException;
}(__BaseException));
export { ValidationException };
var InvalidClientTokenException = (function (_super) {
    __extends(InvalidClientTokenException, _super);
    function InvalidClientTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidClientTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidClientTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidClientTokenException.prototype);
        return _this;
    }
    return InvalidClientTokenException;
}(__BaseException));
export { InvalidClientTokenException };
export var ActionCategory;
(function (ActionCategory) {
    ActionCategory["Approval"] = "Approval";
    ActionCategory["Build"] = "Build";
    ActionCategory["Deploy"] = "Deploy";
    ActionCategory["Invoke"] = "Invoke";
    ActionCategory["Source"] = "Source";
    ActionCategory["Test"] = "Test";
})(ActionCategory || (ActionCategory = {}));
export var ActionConfigurationPropertyType;
(function (ActionConfigurationPropertyType) {
    ActionConfigurationPropertyType["Boolean"] = "Boolean";
    ActionConfigurationPropertyType["Number"] = "Number";
    ActionConfigurationPropertyType["String"] = "String";
})(ActionConfigurationPropertyType || (ActionConfigurationPropertyType = {}));
export var ActionOwner;
(function (ActionOwner) {
    ActionOwner["AWS"] = "AWS";
    ActionOwner["Custom"] = "Custom";
    ActionOwner["ThirdParty"] = "ThirdParty";
})(ActionOwner || (ActionOwner = {}));
export var ActionExecutionStatus;
(function (ActionExecutionStatus) {
    ActionExecutionStatus["Abandoned"] = "Abandoned";
    ActionExecutionStatus["Failed"] = "Failed";
    ActionExecutionStatus["InProgress"] = "InProgress";
    ActionExecutionStatus["Succeeded"] = "Succeeded";
})(ActionExecutionStatus || (ActionExecutionStatus = {}));
var ActionNotFoundException = (function (_super) {
    __extends(ActionNotFoundException, _super);
    function ActionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ActionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ActionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ActionNotFoundException.prototype);
        return _this;
    }
    return ActionNotFoundException;
}(__BaseException));
export { ActionNotFoundException };
export var ExecutorType;
(function (ExecutorType) {
    ExecutorType["JobWorker"] = "JobWorker";
    ExecutorType["Lambda"] = "Lambda";
})(ExecutorType || (ExecutorType = {}));
var ActionTypeNotFoundException = (function (_super) {
    __extends(ActionTypeNotFoundException, _super);
    function ActionTypeNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ActionTypeNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ActionTypeNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ActionTypeNotFoundException.prototype);
        return _this;
    }
    return ActionTypeNotFoundException;
}(__BaseException));
export { ActionTypeNotFoundException };
var ApprovalAlreadyCompletedException = (function (_super) {
    __extends(ApprovalAlreadyCompletedException, _super);
    function ApprovalAlreadyCompletedException(opts) {
        var _this = _super.call(this, __assign({ name: "ApprovalAlreadyCompletedException", $fault: "client" }, opts)) || this;
        _this.name = "ApprovalAlreadyCompletedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ApprovalAlreadyCompletedException.prototype);
        return _this;
    }
    return ApprovalAlreadyCompletedException;
}(__BaseException));
export { ApprovalAlreadyCompletedException };
export var ApprovalStatus;
(function (ApprovalStatus) {
    ApprovalStatus["Approved"] = "Approved";
    ApprovalStatus["Rejected"] = "Rejected";
})(ApprovalStatus || (ApprovalStatus = {}));
export var ArtifactLocationType;
(function (ArtifactLocationType) {
    ArtifactLocationType["S3"] = "S3";
})(ArtifactLocationType || (ArtifactLocationType = {}));
export var EncryptionKeyType;
(function (EncryptionKeyType) {
    EncryptionKeyType["KMS"] = "KMS";
})(EncryptionKeyType || (EncryptionKeyType = {}));
export var ArtifactStoreType;
(function (ArtifactStoreType) {
    ArtifactStoreType["S3"] = "S3";
})(ArtifactStoreType || (ArtifactStoreType = {}));
export var BlockerType;
(function (BlockerType) {
    BlockerType["Schedule"] = "Schedule";
})(BlockerType || (BlockerType = {}));
var ConcurrentModificationException = (function (_super) {
    __extends(ConcurrentModificationException, _super);
    function ConcurrentModificationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConcurrentModificationException", $fault: "client" }, opts)) || this;
        _this.name = "ConcurrentModificationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConcurrentModificationException.prototype);
        return _this;
    }
    return ConcurrentModificationException;
}(__BaseException));
export { ConcurrentModificationException };
var InvalidTagsException = (function (_super) {
    __extends(InvalidTagsException, _super);
    function InvalidTagsException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagsException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagsException.prototype);
        return _this;
    }
    return InvalidTagsException;
}(__BaseException));
export { InvalidTagsException };
var LimitExceededException = (function (_super) {
    __extends(LimitExceededException, _super);
    function LimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LimitExceededException.prototype);
        return _this;
    }
    return LimitExceededException;
}(__BaseException));
export { LimitExceededException };
var TooManyTagsException = (function (_super) {
    __extends(TooManyTagsException, _super);
    function TooManyTagsException(opts) {
        var _this = _super.call(this, __assign({ name: "TooManyTagsException", $fault: "client" }, opts)) || this;
        _this.name = "TooManyTagsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TooManyTagsException.prototype);
        return _this;
    }
    return TooManyTagsException;
}(__BaseException));
export { TooManyTagsException };
var InvalidActionDeclarationException = (function (_super) {
    __extends(InvalidActionDeclarationException, _super);
    function InvalidActionDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidActionDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidActionDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidActionDeclarationException.prototype);
        return _this;
    }
    return InvalidActionDeclarationException;
}(__BaseException));
export { InvalidActionDeclarationException };
var InvalidBlockerDeclarationException = (function (_super) {
    __extends(InvalidBlockerDeclarationException, _super);
    function InvalidBlockerDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidBlockerDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidBlockerDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidBlockerDeclarationException.prototype);
        return _this;
    }
    return InvalidBlockerDeclarationException;
}(__BaseException));
export { InvalidBlockerDeclarationException };
var InvalidStageDeclarationException = (function (_super) {
    __extends(InvalidStageDeclarationException, _super);
    function InvalidStageDeclarationException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidStageDeclarationException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidStageDeclarationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidStageDeclarationException.prototype);
        return _this;
    }
    return InvalidStageDeclarationException;
}(__BaseException));
export { InvalidStageDeclarationException };
var InvalidStructureException = (function (_super) {
    __extends(InvalidStructureException, _super);
    function InvalidStructureException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidStructureException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidStructureException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidStructureException.prototype);
        return _this;
    }
    return InvalidStructureException;
}(__BaseException));
export { InvalidStructureException };
var PipelineNameInUseException = (function (_super) {
    __extends(PipelineNameInUseException, _super);
    function PipelineNameInUseException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineNameInUseException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineNameInUseException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineNameInUseException.prototype);
        return _this;
    }
    return PipelineNameInUseException;
}(__BaseException));
export { PipelineNameInUseException };
var WebhookNotFoundException = (function (_super) {
    __extends(WebhookNotFoundException, _super);
    function WebhookNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "WebhookNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "WebhookNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, WebhookNotFoundException.prototype);
        return _this;
    }
    return WebhookNotFoundException;
}(__BaseException));
export { WebhookNotFoundException };
export var StageTransitionType;
(function (StageTransitionType) {
    StageTransitionType["Inbound"] = "Inbound";
    StageTransitionType["Outbound"] = "Outbound";
})(StageTransitionType || (StageTransitionType = {}));
var PipelineNotFoundException = (function (_super) {
    __extends(PipelineNotFoundException, _super);
    function PipelineNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineNotFoundException.prototype);
        return _this;
    }
    return PipelineNotFoundException;
}(__BaseException));
export { PipelineNotFoundException };
var StageNotFoundException = (function (_super) {
    __extends(StageNotFoundException, _super);
    function StageNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "StageNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "StageNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, StageNotFoundException.prototype);
        return _this;
    }
    return StageNotFoundException;
}(__BaseException));
export { StageNotFoundException };
var PipelineVersionNotFoundException = (function (_super) {
    __extends(PipelineVersionNotFoundException, _super);
    function PipelineVersionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineVersionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineVersionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineVersionNotFoundException.prototype);
        return _this;
    }
    return PipelineVersionNotFoundException;
}(__BaseException));
export { PipelineVersionNotFoundException };
export var PipelineExecutionStatus;
(function (PipelineExecutionStatus) {
    PipelineExecutionStatus["Cancelled"] = "Cancelled";
    PipelineExecutionStatus["Failed"] = "Failed";
    PipelineExecutionStatus["InProgress"] = "InProgress";
    PipelineExecutionStatus["Stopped"] = "Stopped";
    PipelineExecutionStatus["Stopping"] = "Stopping";
    PipelineExecutionStatus["Succeeded"] = "Succeeded";
    PipelineExecutionStatus["Superseded"] = "Superseded";
})(PipelineExecutionStatus || (PipelineExecutionStatus = {}));
var PipelineExecutionNotFoundException = (function (_super) {
    __extends(PipelineExecutionNotFoundException, _super);
    function PipelineExecutionNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineExecutionNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineExecutionNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineExecutionNotFoundException.prototype);
        return _this;
    }
    return PipelineExecutionNotFoundException;
}(__BaseException));
export { PipelineExecutionNotFoundException };
export var StageExecutionStatus;
(function (StageExecutionStatus) {
    StageExecutionStatus["Cancelled"] = "Cancelled";
    StageExecutionStatus["Failed"] = "Failed";
    StageExecutionStatus["InProgress"] = "InProgress";
    StageExecutionStatus["Stopped"] = "Stopped";
    StageExecutionStatus["Stopping"] = "Stopping";
    StageExecutionStatus["Succeeded"] = "Succeeded";
})(StageExecutionStatus || (StageExecutionStatus = {}));
var InvalidJobException = (function (_super) {
    __extends(InvalidJobException, _super);
    function InvalidJobException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidJobException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidJobException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidJobException.prototype);
        return _this;
    }
    return InvalidJobException;
}(__BaseException));
export { InvalidJobException };
var InvalidNextTokenException = (function (_super) {
    __extends(InvalidNextTokenException, _super);
    function InvalidNextTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNextTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNextTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNextTokenException.prototype);
        return _this;
    }
    return InvalidNextTokenException;
}(__BaseException));
export { InvalidNextTokenException };
export var TriggerType;
(function (TriggerType) {
    TriggerType["CloudWatchEvent"] = "CloudWatchEvent";
    TriggerType["CreatePipeline"] = "CreatePipeline";
    TriggerType["PollForSourceChanges"] = "PollForSourceChanges";
    TriggerType["PutActionRevision"] = "PutActionRevision";
    TriggerType["StartPipelineExecution"] = "StartPipelineExecution";
    TriggerType["Webhook"] = "Webhook";
})(TriggerType || (TriggerType = {}));
var InvalidArnException = (function (_super) {
    __extends(InvalidArnException, _super);
    function InvalidArnException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidArnException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidArnException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidArnException.prototype);
        return _this;
    }
    return InvalidArnException;
}(__BaseException));
export { InvalidArnException };
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
export var WebhookAuthenticationType;
(function (WebhookAuthenticationType) {
    WebhookAuthenticationType["GITHUB_HMAC"] = "GITHUB_HMAC";
    WebhookAuthenticationType["IP"] = "IP";
    WebhookAuthenticationType["UNAUTHENTICATED"] = "UNAUTHENTICATED";
})(WebhookAuthenticationType || (WebhookAuthenticationType = {}));
var InvalidApprovalTokenException = (function (_super) {
    __extends(InvalidApprovalTokenException, _super);
    function InvalidApprovalTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidApprovalTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidApprovalTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidApprovalTokenException.prototype);
        return _this;
    }
    return InvalidApprovalTokenException;
}(__BaseException));
export { InvalidApprovalTokenException };
var InvalidJobStateException = (function (_super) {
    __extends(InvalidJobStateException, _super);
    function InvalidJobStateException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidJobStateException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidJobStateException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidJobStateException.prototype);
        return _this;
    }
    return InvalidJobStateException;
}(__BaseException));
export { InvalidJobStateException };
export var FailureType;
(function (FailureType) {
    FailureType["ConfigurationError"] = "ConfigurationError";
    FailureType["JobFailed"] = "JobFailed";
    FailureType["PermissionError"] = "PermissionError";
    FailureType["RevisionOutOfSync"] = "RevisionOutOfSync";
    FailureType["RevisionUnavailable"] = "RevisionUnavailable";
    FailureType["SystemUnavailable"] = "SystemUnavailable";
})(FailureType || (FailureType = {}));
var OutputVariablesSizeExceededException = (function (_super) {
    __extends(OutputVariablesSizeExceededException, _super);
    function OutputVariablesSizeExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "OutputVariablesSizeExceededException", $fault: "client" }, opts)) || this;
        _this.name = "OutputVariablesSizeExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, OutputVariablesSizeExceededException.prototype);
        return _this;
    }
    return OutputVariablesSizeExceededException;
}(__BaseException));
export { OutputVariablesSizeExceededException };
var InvalidWebhookAuthenticationParametersException = (function (_super) {
    __extends(InvalidWebhookAuthenticationParametersException, _super);
    function InvalidWebhookAuthenticationParametersException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidWebhookAuthenticationParametersException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidWebhookAuthenticationParametersException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidWebhookAuthenticationParametersException.prototype);
        return _this;
    }
    return InvalidWebhookAuthenticationParametersException;
}(__BaseException));
export { InvalidWebhookAuthenticationParametersException };
var InvalidWebhookFilterPatternException = (function (_super) {
    __extends(InvalidWebhookFilterPatternException, _super);
    function InvalidWebhookFilterPatternException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidWebhookFilterPatternException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidWebhookFilterPatternException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidWebhookFilterPatternException.prototype);
        return _this;
    }
    return InvalidWebhookFilterPatternException;
}(__BaseException));
export { InvalidWebhookFilterPatternException };
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
var NotLatestPipelineExecutionException = (function (_super) {
    __extends(NotLatestPipelineExecutionException, _super);
    function NotLatestPipelineExecutionException(opts) {
        var _this = _super.call(this, __assign({ name: "NotLatestPipelineExecutionException", $fault: "client" }, opts)) || this;
        _this.name = "NotLatestPipelineExecutionException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, NotLatestPipelineExecutionException.prototype);
        return _this;
    }
    return NotLatestPipelineExecutionException;
}(__BaseException));
export { NotLatestPipelineExecutionException };
export var StageRetryMode;
(function (StageRetryMode) {
    StageRetryMode["FAILED_ACTIONS"] = "FAILED_ACTIONS";
})(StageRetryMode || (StageRetryMode = {}));
var StageNotRetryableException = (function (_super) {
    __extends(StageNotRetryableException, _super);
    function StageNotRetryableException(opts) {
        var _this = _super.call(this, __assign({ name: "StageNotRetryableException", $fault: "client" }, opts)) || this;
        _this.name = "StageNotRetryableException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, StageNotRetryableException.prototype);
        return _this;
    }
    return StageNotRetryableException;
}(__BaseException));
export { StageNotRetryableException };
var DuplicatedStopRequestException = (function (_super) {
    __extends(DuplicatedStopRequestException, _super);
    function DuplicatedStopRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "DuplicatedStopRequestException", $fault: "client" }, opts)) || this;
        _this.name = "DuplicatedStopRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, DuplicatedStopRequestException.prototype);
        return _this;
    }
    return DuplicatedStopRequestException;
}(__BaseException));
export { DuplicatedStopRequestException };
var PipelineExecutionNotStoppableException = (function (_super) {
    __extends(PipelineExecutionNotStoppableException, _super);
    function PipelineExecutionNotStoppableException(opts) {
        var _this = _super.call(this, __assign({ name: "PipelineExecutionNotStoppableException", $fault: "client" }, opts)) || this;
        _this.name = "PipelineExecutionNotStoppableException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PipelineExecutionNotStoppableException.prototype);
        return _this;
    }
    return PipelineExecutionNotStoppableException;
}(__BaseException));
export { PipelineExecutionNotStoppableException };
var RequestFailedException = (function (_super) {
    __extends(RequestFailedException, _super);
    function RequestFailedException(opts) {
        var _this = _super.call(this, __assign({ name: "RequestFailedException", $fault: "client" }, opts)) || this;
        _this.name = "RequestFailedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, RequestFailedException.prototype);
        return _this;
    }
    return RequestFailedException;
}(__BaseException));
export { RequestFailedException };
export var AcknowledgeJobInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var AcknowledgeJobOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var AcknowledgeThirdPartyJobInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var AcknowledgeThirdPartyJobOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionConfigurationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionConfigurationPropertyFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionContextFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeIdFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var InputArtifactFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var OutputArtifactFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionDeclarationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ErrorDetailsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var S3LocationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactDetailFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionResultFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionDetailFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionExecutionFilterFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionRevisionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionStateFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactDetailsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeSettingsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeArtifactDetailsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var JobWorkerExecutorConfigurationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var LambdaExecutorConfigurationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ExecutorConfigurationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeExecutorFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeIdentifierFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypePermissionsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypePropertyFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeUrlsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ActionTypeDeclarationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ApprovalResultFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var S3ArtifactLocationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactLocationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactRevisionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var EncryptionKeyFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ArtifactStoreFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var AWSSessionCredentialsFilterSensitiveLog = function (obj) { return (__assign(__assign(__assign(__assign({}, obj), (obj.accessKeyId && { accessKeyId: SENSITIVE_STRING })), (obj.secretAccessKey && { secretAccessKey: SENSITIVE_STRING })), (obj.sessionToken && { sessionToken: SENSITIVE_STRING }))); };
export var BlockerDeclarationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var TagFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var CreateCustomActionTypeInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var CreateCustomActionTypeOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StageDeclarationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineDeclarationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var CreatePipelineInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var CreatePipelineOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeleteCustomActionTypeInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeletePipelineInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeleteWebhookInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeleteWebhookOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeregisterWebhookWithThirdPartyInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DeregisterWebhookWithThirdPartyOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var DisableStageTransitionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var EnableStageTransitionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetActionTypeInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetActionTypeOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetJobDetailsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StageContextFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineContextFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var JobDataFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.artifactCredentials && { artifactCredentials: SENSITIVE_STRING }))); };
export var JobDetailsFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: JobDataFilterSensitiveLog(obj.data) }))); };
export var GetJobDetailsOutputFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobDetails && { jobDetails: JobDetailsFilterSensitiveLog(obj.jobDetails) }))); };
export var GetPipelineInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineMetadataFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetPipelineOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetPipelineExecutionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineExecutionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetPipelineExecutionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetPipelineStateInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StageExecutionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var TransitionStateFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StageStateFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetPipelineStateOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var GetThirdPartyJobDetailsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ThirdPartyJobDataFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.artifactCredentials && { artifactCredentials: SENSITIVE_STRING }))); };
export var ThirdPartyJobDetailsFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: ThirdPartyJobDataFilterSensitiveLog(obj.data) }))); };
export var GetThirdPartyJobDetailsOutputFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobDetails && { jobDetails: ThirdPartyJobDetailsFilterSensitiveLog(obj.jobDetails) }))); };
export var ListActionExecutionsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListActionExecutionsOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListActionTypesInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListActionTypesOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListPipelineExecutionsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var SourceRevisionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StopExecutionTriggerFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ExecutionTriggerFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineExecutionSummaryFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListPipelineExecutionsOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListPipelinesInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PipelineSummaryFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListPipelinesOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListTagsForResourceInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListTagsForResourceOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListWebhooksInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var WebhookAuthConfigurationFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var WebhookFilterRuleFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var WebhookDefinitionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListWebhookItemFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ListWebhooksOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PollForJobsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var JobFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.data && { data: JobDataFilterSensitiveLog(obj.data) }))); };
export var PollForJobsOutputFilterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.jobs && { jobs: obj.jobs.map(function (item) { return JobFilterSensitiveLog(item); }) }))); };
export var PollForThirdPartyJobsInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ThirdPartyJobFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PollForThirdPartyJobsOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutActionRevisionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutActionRevisionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutApprovalResultInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutApprovalResultOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var FailureDetailsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutJobFailureResultInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var CurrentRevisionFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var ExecutionDetailsFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutJobSuccessResultInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutThirdPartyJobFailureResultInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutThirdPartyJobSuccessResultInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutWebhookInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var PutWebhookOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var RegisterWebhookWithThirdPartyInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var RegisterWebhookWithThirdPartyOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var RetryStageExecutionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var RetryStageExecutionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StartPipelineExecutionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StartPipelineExecutionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StopPipelineExecutionInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var StopPipelineExecutionOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var TagResourceInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var TagResourceOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var UntagResourceInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var UntagResourceOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var UpdateActionTypeInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var UpdatePipelineInputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
export var UpdatePipelineOutputFilterSensitiveLog = function (obj) { return (__assign({}, obj)); };
