import { __assign, __awaiter, __generator, __read } from "tslib";
import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectNonNull as __expectNonNull, expectNumber as __expectNumber, expectString as __expectString, parseEpochTimestamp as __parseEpochTimestamp, throwDefaultError, } from "@aws-sdk/smithy-client";
import { v4 as generateIdempotencyToken } from "uuid";
import { CodePipelineServiceException as __BaseException } from "../models/CodePipelineServiceException";
import { ActionNotFoundException, ActionTypeNotFoundException, ApprovalAlreadyCompletedException, ConcurrentModificationException, ConflictException, DuplicatedStopRequestException, InvalidActionDeclarationException, InvalidApprovalTokenException, InvalidArnException, InvalidBlockerDeclarationException, InvalidClientTokenException, InvalidJobException, InvalidJobStateException, InvalidNextTokenException, InvalidNonceException, InvalidStageDeclarationException, InvalidStructureException, InvalidTagsException, InvalidWebhookAuthenticationParametersException, InvalidWebhookFilterPatternException, JobNotFoundException, LimitExceededException, NotLatestPipelineExecutionException, OutputVariablesSizeExceededException, PipelineExecutionNotFoundException, PipelineExecutionNotStoppableException, PipelineNameInUseException, PipelineNotFoundException, PipelineVersionNotFoundException, RequestFailedException, ResourceNotFoundException, StageNotFoundException, StageNotRetryableException, TooManyTagsException, ValidationException, WebhookNotFoundException, } from "../models/models_0";
export var serializeAws_json1_1AcknowledgeJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.AcknowledgeJob",
        };
        body = JSON.stringify(serializeAws_json1_1AcknowledgeJobInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1AcknowledgeThirdPartyJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.AcknowledgeThirdPartyJob",
        };
        body = JSON.stringify(serializeAws_json1_1AcknowledgeThirdPartyJobInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateCustomActionTypeCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.CreateCustomActionType",
        };
        body = JSON.stringify(serializeAws_json1_1CreateCustomActionTypeInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreatePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.CreatePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1CreatePipelineInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteCustomActionTypeCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.DeleteCustomActionType",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteCustomActionTypeInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeletePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.DeletePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1DeletePipelineInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteWebhookCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.DeleteWebhook",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteWebhookInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeregisterWebhookWithThirdPartyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.DeregisterWebhookWithThirdParty",
        };
        body = JSON.stringify(serializeAws_json1_1DeregisterWebhookWithThirdPartyInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DisableStageTransitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.DisableStageTransition",
        };
        body = JSON.stringify(serializeAws_json1_1DisableStageTransitionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1EnableStageTransitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.EnableStageTransition",
        };
        body = JSON.stringify(serializeAws_json1_1EnableStageTransitionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetActionTypeCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetActionType",
        };
        body = JSON.stringify(serializeAws_json1_1GetActionTypeInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetJobDetailsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetJobDetails",
        };
        body = JSON.stringify(serializeAws_json1_1GetJobDetailsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetPipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetPipeline",
        };
        body = JSON.stringify(serializeAws_json1_1GetPipelineInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1GetPipelineExecutionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetPipelineStateCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetPipelineState",
        };
        body = JSON.stringify(serializeAws_json1_1GetPipelineStateInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetThirdPartyJobDetailsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.GetThirdPartyJobDetails",
        };
        body = JSON.stringify(serializeAws_json1_1GetThirdPartyJobDetailsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListActionExecutionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListActionExecutions",
        };
        body = JSON.stringify(serializeAws_json1_1ListActionExecutionsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListActionTypesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListActionTypes",
        };
        body = JSON.stringify(serializeAws_json1_1ListActionTypesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelineExecutionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListPipelineExecutions",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelineExecutionsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelinesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListPipelines",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelinesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTagsForResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListTagsForResource",
        };
        body = JSON.stringify(serializeAws_json1_1ListTagsForResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListWebhooksCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.ListWebhooks",
        };
        body = JSON.stringify(serializeAws_json1_1ListWebhooksInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PollForJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PollForJobs",
        };
        body = JSON.stringify(serializeAws_json1_1PollForJobsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PollForThirdPartyJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PollForThirdPartyJobs",
        };
        body = JSON.stringify(serializeAws_json1_1PollForThirdPartyJobsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutActionRevisionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutActionRevision",
        };
        body = JSON.stringify(serializeAws_json1_1PutActionRevisionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutApprovalResultCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutApprovalResult",
        };
        body = JSON.stringify(serializeAws_json1_1PutApprovalResultInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutJobFailureResultCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutJobFailureResult",
        };
        body = JSON.stringify(serializeAws_json1_1PutJobFailureResultInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutJobSuccessResultCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutJobSuccessResult",
        };
        body = JSON.stringify(serializeAws_json1_1PutJobSuccessResultInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutThirdPartyJobFailureResultCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutThirdPartyJobFailureResult",
        };
        body = JSON.stringify(serializeAws_json1_1PutThirdPartyJobFailureResultInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutThirdPartyJobSuccessResultCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutThirdPartyJobSuccessResult",
        };
        body = JSON.stringify(serializeAws_json1_1PutThirdPartyJobSuccessResultInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutWebhookCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.PutWebhook",
        };
        body = JSON.stringify(serializeAws_json1_1PutWebhookInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RegisterWebhookWithThirdPartyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.RegisterWebhookWithThirdParty",
        };
        body = JSON.stringify(serializeAws_json1_1RegisterWebhookWithThirdPartyInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RetryStageExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.RetryStageExecution",
        };
        body = JSON.stringify(serializeAws_json1_1RetryStageExecutionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StartPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.StartPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1StartPipelineExecutionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.StopPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1StopPipelineExecutionInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1TagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.TagResource",
        };
        body = JSON.stringify(serializeAws_json1_1TagResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UntagResourceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.UntagResource",
        };
        body = JSON.stringify(serializeAws_json1_1UntagResourceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateActionTypeCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.UpdateActionType",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateActionTypeInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdatePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "CodePipeline_20150709.UpdatePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1UpdatePipelineInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var deserializeAws_json1_1AcknowledgeJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AcknowledgeJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1AcknowledgeJobOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AcknowledgeJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNonceException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNonceException": return [3, 2];
                    case "JobNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidNonceExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1AcknowledgeThirdPartyJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AcknowledgeThirdPartyJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1AcknowledgeThirdPartyJobOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AcknowledgeThirdPartyJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidClientTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidClientTokenException": return [3, 2];
                    case "InvalidNonceException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidNonceException": return [3, 4];
                    case "JobNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidClientTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidNonceExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateCustomActionTypeCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateCustomActionTypeCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateCustomActionTypeOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateCustomActionTypeCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "InvalidTagsException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidTagsException": return [3, 4];
                    case "LimitExceededException": return [3, 6];
                    case "com.amazonaws.codepipeline#LimitExceededException": return [3, 6];
                    case "TooManyTagsException": return [3, 8];
                    case "com.amazonaws.codepipeline#TooManyTagsException": return [3, 8];
                    case "ValidationException": return [3, 10];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidTagsExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1LimitExceededExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1TooManyTagsExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 13;
            case 13: return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreatePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreatePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreatePipelineOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreatePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "InvalidActionDeclarationException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidActionDeclarationException": return [3, 4];
                    case "InvalidBlockerDeclarationException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidBlockerDeclarationException": return [3, 6];
                    case "InvalidStageDeclarationException": return [3, 8];
                    case "com.amazonaws.codepipeline#InvalidStageDeclarationException": return [3, 8];
                    case "InvalidStructureException": return [3, 10];
                    case "com.amazonaws.codepipeline#InvalidStructureException": return [3, 10];
                    case "InvalidTagsException": return [3, 12];
                    case "com.amazonaws.codepipeline#InvalidTagsException": return [3, 12];
                    case "LimitExceededException": return [3, 14];
                    case "com.amazonaws.codepipeline#LimitExceededException": return [3, 14];
                    case "PipelineNameInUseException": return [3, 16];
                    case "com.amazonaws.codepipeline#PipelineNameInUseException": return [3, 16];
                    case "TooManyTagsException": return [3, 18];
                    case "com.amazonaws.codepipeline#TooManyTagsException": return [3, 18];
                    case "ValidationException": return [3, 20];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 20];
                }
                return [3, 22];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidActionDeclarationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidBlockerDeclarationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidStageDeclarationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1InvalidStructureExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1InvalidTagsExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1LimitExceededExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1PipelineNameInUseExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18: return [4, deserializeAws_json1_1TooManyTagsExceptionResponse(parsedOutput, context)];
            case 19: throw _d.sent();
            case 20: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 21: throw _d.sent();
            case 22:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 23;
            case 23: return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteCustomActionTypeCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteCustomActionTypeCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteCustomActionTypeCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeletePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeletePipelineCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeletePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteWebhookCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteWebhookCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteWebhookOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteWebhookCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeregisterWebhookWithThirdPartyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeregisterWebhookWithThirdPartyCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeregisterWebhookWithThirdPartyOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeregisterWebhookWithThirdPartyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ValidationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 2];
                    case "WebhookNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#WebhookNotFoundException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1WebhookNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1DisableStageTransitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DisableStageTransitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DisableStageTransitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "PipelineNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 2];
                    case "StageNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#StageNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1StageNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1EnableStageTransitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1EnableStageTransitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1EnableStageTransitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "PipelineNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 2];
                    case "StageNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#StageNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1StageNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetActionTypeCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetActionTypeCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetActionTypeOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetActionTypeCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionTypeNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionTypeNotFoundException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ActionTypeNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetJobDetailsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetJobDetailsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetJobDetailsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetJobDetailsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "JobNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetPipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetPipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetPipelineOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetPipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "PipelineNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 2];
                    case "PipelineVersionNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineVersionNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineVersionNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetPipelineExecutionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "PipelineExecutionNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#PipelineExecutionNotFoundException": return [3, 2];
                    case "PipelineNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1PipelineExecutionNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetPipelineStateCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetPipelineStateCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetPipelineStateOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetPipelineStateCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "PipelineNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetThirdPartyJobDetailsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetThirdPartyJobDetailsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetThirdPartyJobDetailsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetThirdPartyJobDetailsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidClientTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidClientTokenException": return [3, 2];
                    case "InvalidJobException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidJobException": return [3, 4];
                    case "JobNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidClientTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidJobExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListActionExecutionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListActionExecutionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListActionExecutionsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListActionExecutionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 2];
                    case "PipelineExecutionNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineExecutionNotFoundException": return [3, 4];
                    case "PipelineNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineExecutionNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListActionTypesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListActionTypesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListActionTypesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListActionTypesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListPipelineExecutionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelineExecutionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelineExecutionsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelineExecutionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 2];
                    case "PipelineNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListPipelinesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelinesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelinesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelinesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListTagsForResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTagsForResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTagsForResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTagsForResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidArnException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidArnException": return [3, 2];
                    case "InvalidNextTokenException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 4];
                    case "ResourceNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#ResourceNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListWebhooksCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListWebhooksCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListWebhooksOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListWebhooksCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidNextTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidNextTokenException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1InvalidNextTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PollForJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PollForJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PollForJobsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PollForJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionTypeNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionTypeNotFoundException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ActionTypeNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PollForThirdPartyJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PollForThirdPartyJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PollForThirdPartyJobsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PollForThirdPartyJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionTypeNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionTypeNotFoundException": return [3, 2];
                    case "ValidationException": return [3, 4];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ActionTypeNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutActionRevisionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutActionRevisionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PutActionRevisionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutActionRevisionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionNotFoundException": return [3, 2];
                    case "PipelineNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 4];
                    case "StageNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#StageNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1ActionNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1StageNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutApprovalResultCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutApprovalResultCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PutApprovalResultOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutApprovalResultCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionNotFoundException": return [3, 2];
                    case "ApprovalAlreadyCompletedException": return [3, 4];
                    case "com.amazonaws.codepipeline#ApprovalAlreadyCompletedException": return [3, 4];
                    case "InvalidApprovalTokenException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidApprovalTokenException": return [3, 6];
                    case "PipelineNotFoundException": return [3, 8];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 8];
                    case "StageNotFoundException": return [3, 10];
                    case "com.amazonaws.codepipeline#StageNotFoundException": return [3, 10];
                    case "ValidationException": return [3, 12];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ActionNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ApprovalAlreadyCompletedExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidApprovalTokenExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1StageNotFoundExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 15;
            case 15: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutJobFailureResultCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutJobFailureResultCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutJobFailureResultCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidJobStateException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidJobStateException": return [3, 2];
                    case "JobNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1InvalidJobStateExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutJobSuccessResultCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutJobSuccessResultCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutJobSuccessResultCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidJobStateException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidJobStateException": return [3, 2];
                    case "JobNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 4];
                    case "OutputVariablesSizeExceededException": return [3, 6];
                    case "com.amazonaws.codepipeline#OutputVariablesSizeExceededException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidJobStateExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1OutputVariablesSizeExceededExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutThirdPartyJobFailureResultCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutThirdPartyJobFailureResultCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutThirdPartyJobFailureResultCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidClientTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidClientTokenException": return [3, 2];
                    case "InvalidJobStateException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidJobStateException": return [3, 4];
                    case "JobNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidClientTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidJobStateExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutThirdPartyJobSuccessResultCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutThirdPartyJobSuccessResultCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutThirdPartyJobSuccessResultCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidClientTokenException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidClientTokenException": return [3, 2];
                    case "InvalidJobStateException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidJobStateException": return [3, 4];
                    case "JobNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#JobNotFoundException": return [3, 6];
                    case "ValidationException": return [3, 8];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 8];
                }
                return [3, 10];
            case 2: return [4, deserializeAws_json1_1InvalidClientTokenExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidJobStateExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1JobNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 11;
            case 11: return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutWebhookCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutWebhookCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PutWebhookOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutWebhookCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "InvalidTagsException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidTagsException": return [3, 4];
                    case "InvalidWebhookAuthenticationParametersException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidWebhookAuthenticationParametersException": return [3, 6];
                    case "InvalidWebhookFilterPatternException": return [3, 8];
                    case "com.amazonaws.codepipeline#InvalidWebhookFilterPatternException": return [3, 8];
                    case "LimitExceededException": return [3, 10];
                    case "com.amazonaws.codepipeline#LimitExceededException": return [3, 10];
                    case "PipelineNotFoundException": return [3, 12];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 12];
                    case "TooManyTagsException": return [3, 14];
                    case "com.amazonaws.codepipeline#TooManyTagsException": return [3, 14];
                    case "ValidationException": return [3, 16];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 16];
                }
                return [3, 18];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidTagsExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidWebhookAuthenticationParametersExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidWebhookFilterPatternExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1LimitExceededExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14: return [4, deserializeAws_json1_1TooManyTagsExceptionResponse(parsedOutput, context)];
            case 15: throw _d.sent();
            case 16: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 17: throw _d.sent();
            case 18:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 19;
            case 19: return [2];
        }
    });
}); };
export var deserializeAws_json1_1RegisterWebhookWithThirdPartyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RegisterWebhookWithThirdPartyCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1RegisterWebhookWithThirdPartyOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RegisterWebhookWithThirdPartyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ValidationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 2];
                    case "WebhookNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#WebhookNotFoundException": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1WebhookNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 7;
            case 7: return [2];
        }
    });
}); };
export var deserializeAws_json1_1RetryStageExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RetryStageExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1RetryStageExecutionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RetryStageExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConflictException": return [3, 2];
                    case "NotLatestPipelineExecutionException": return [3, 4];
                    case "com.amazonaws.codepipeline#NotLatestPipelineExecutionException": return [3, 4];
                    case "PipelineNotFoundException": return [3, 6];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 6];
                    case "StageNotFoundException": return [3, 8];
                    case "com.amazonaws.codepipeline#StageNotFoundException": return [3, 8];
                    case "StageNotRetryableException": return [3, 10];
                    case "com.amazonaws.codepipeline#StageNotRetryableException": return [3, 10];
                    case "ValidationException": return [3, 12];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1NotLatestPipelineExecutionExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1StageNotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1StageNotRetryableExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 15;
            case 15: return [2];
        }
    });
}); };
export var deserializeAws_json1_1StartPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StartPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1StartPipelineExecutionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StartPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConflictException": return [3, 2];
                    case "PipelineNotFoundException": return [3, 4];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1StopPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1StopPipelineExecutionOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConflictException": return [3, 2];
                    case "DuplicatedStopRequestException": return [3, 4];
                    case "com.amazonaws.codepipeline#DuplicatedStopRequestException": return [3, 4];
                    case "PipelineExecutionNotStoppableException": return [3, 6];
                    case "com.amazonaws.codepipeline#PipelineExecutionNotStoppableException": return [3, 6];
                    case "PipelineNotFoundException": return [3, 8];
                    case "com.amazonaws.codepipeline#PipelineNotFoundException": return [3, 8];
                    case "ValidationException": return [3, 10];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1DuplicatedStopRequestExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1PipelineExecutionNotStoppableExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1PipelineNotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 13;
            case 13: return [2];
        }
    });
}); };
export var deserializeAws_json1_1TagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1TagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1TagResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1TagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "InvalidArnException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidArnException": return [3, 4];
                    case "InvalidTagsException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidTagsException": return [3, 6];
                    case "ResourceNotFoundException": return [3, 8];
                    case "com.amazonaws.codepipeline#ResourceNotFoundException": return [3, 8];
                    case "TooManyTagsException": return [3, 10];
                    case "com.amazonaws.codepipeline#TooManyTagsException": return [3, 10];
                    case "ValidationException": return [3, 12];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidTagsExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ResourceNotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1TooManyTagsExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 15;
            case 15: return [2];
        }
    });
}); };
export var deserializeAws_json1_1UntagResourceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UntagResourceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UntagResourceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UntagResourceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConcurrentModificationException": return [3, 2];
                    case "com.amazonaws.codepipeline#ConcurrentModificationException": return [3, 2];
                    case "InvalidArnException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidArnException": return [3, 4];
                    case "InvalidTagsException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidTagsException": return [3, 6];
                    case "ResourceNotFoundException": return [3, 8];
                    case "com.amazonaws.codepipeline#ResourceNotFoundException": return [3, 8];
                    case "ValidationException": return [3, 10];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 10];
                }
                return [3, 12];
            case 2: return [4, deserializeAws_json1_1ConcurrentModificationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidArnExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidTagsExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1ResourceNotFoundExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 13;
            case 13: return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateActionTypeCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateActionTypeCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateActionTypeCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ActionTypeNotFoundException": return [3, 2];
                    case "com.amazonaws.codepipeline#ActionTypeNotFoundException": return [3, 2];
                    case "RequestFailedException": return [3, 4];
                    case "com.amazonaws.codepipeline#RequestFailedException": return [3, 4];
                    case "ValidationException": return [3, 6];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ActionTypeNotFoundExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1RequestFailedExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 9;
            case 9: return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdatePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdatePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdatePipelineOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdatePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "InvalidActionDeclarationException": return [3, 2];
                    case "com.amazonaws.codepipeline#InvalidActionDeclarationException": return [3, 2];
                    case "InvalidBlockerDeclarationException": return [3, 4];
                    case "com.amazonaws.codepipeline#InvalidBlockerDeclarationException": return [3, 4];
                    case "InvalidStageDeclarationException": return [3, 6];
                    case "com.amazonaws.codepipeline#InvalidStageDeclarationException": return [3, 6];
                    case "InvalidStructureException": return [3, 8];
                    case "com.amazonaws.codepipeline#InvalidStructureException": return [3, 8];
                    case "LimitExceededException": return [3, 10];
                    case "com.amazonaws.codepipeline#LimitExceededException": return [3, 10];
                    case "ValidationException": return [3, 12];
                    case "com.amazonaws.codepipeline#ValidationException": return [3, 12];
                }
                return [3, 14];
            case 2: return [4, deserializeAws_json1_1InvalidActionDeclarationExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1InvalidBlockerDeclarationExceptionResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1InvalidStageDeclarationExceptionResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8: return [4, deserializeAws_json1_1InvalidStructureExceptionResponse(parsedOutput, context)];
            case 9: throw _d.sent();
            case 10: return [4, deserializeAws_json1_1LimitExceededExceptionResponse(parsedOutput, context)];
            case 11: throw _d.sent();
            case 12: return [4, deserializeAws_json1_1ValidationExceptionResponse(parsedOutput, context)];
            case 13: throw _d.sent();
            case 14:
                parsedBody = parsedOutput.body;
                throwDefaultError({
                    output: output,
                    parsedBody: parsedBody,
                    exceptionCtor: __BaseException,
                    errorCode: errorCode,
                });
                _d.label = 15;
            case 15: return [2];
        }
    });
}); };
var deserializeAws_json1_1ActionNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ActionNotFoundException(body, context);
        exception = new ActionNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ActionTypeNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ActionTypeNotFoundException(body, context);
        exception = new ActionTypeNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ApprovalAlreadyCompletedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ApprovalAlreadyCompletedException(body, context);
        exception = new ApprovalAlreadyCompletedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ConcurrentModificationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ConcurrentModificationException(body, context);
        exception = new ConcurrentModificationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ConflictExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ConflictException(body, context);
        exception = new ConflictException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1DuplicatedStopRequestExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1DuplicatedStopRequestException(body, context);
        exception = new DuplicatedStopRequestException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidActionDeclarationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidActionDeclarationException(body, context);
        exception = new InvalidActionDeclarationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidApprovalTokenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidApprovalTokenException(body, context);
        exception = new InvalidApprovalTokenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidArnExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidArnException(body, context);
        exception = new InvalidArnException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidBlockerDeclarationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidBlockerDeclarationException(body, context);
        exception = new InvalidBlockerDeclarationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidClientTokenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidClientTokenException(body, context);
        exception = new InvalidClientTokenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidJobExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidJobException(body, context);
        exception = new InvalidJobException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidJobStateExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidJobStateException(body, context);
        exception = new InvalidJobStateException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidNextTokenExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidNextTokenException(body, context);
        exception = new InvalidNextTokenException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidNonceExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidNonceException(body, context);
        exception = new InvalidNonceException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidStageDeclarationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidStageDeclarationException(body, context);
        exception = new InvalidStageDeclarationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidStructureExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidStructureException(body, context);
        exception = new InvalidStructureException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidTagsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidTagsException(body, context);
        exception = new InvalidTagsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidWebhookAuthenticationParametersExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidWebhookAuthenticationParametersException(body, context);
        exception = new InvalidWebhookAuthenticationParametersException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1InvalidWebhookFilterPatternExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1InvalidWebhookFilterPatternException(body, context);
        exception = new InvalidWebhookFilterPatternException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1JobNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1JobNotFoundException(body, context);
        exception = new JobNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1LimitExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1LimitExceededException(body, context);
        exception = new LimitExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1NotLatestPipelineExecutionExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1NotLatestPipelineExecutionException(body, context);
        exception = new NotLatestPipelineExecutionException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1OutputVariablesSizeExceededExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1OutputVariablesSizeExceededException(body, context);
        exception = new OutputVariablesSizeExceededException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1PipelineExecutionNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1PipelineExecutionNotFoundException(body, context);
        exception = new PipelineExecutionNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1PipelineExecutionNotStoppableExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1PipelineExecutionNotStoppableException(body, context);
        exception = new PipelineExecutionNotStoppableException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1PipelineNameInUseExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1PipelineNameInUseException(body, context);
        exception = new PipelineNameInUseException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1PipelineNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1PipelineNotFoundException(body, context);
        exception = new PipelineNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1PipelineVersionNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1PipelineVersionNotFoundException(body, context);
        exception = new PipelineVersionNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1RequestFailedExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1RequestFailedException(body, context);
        exception = new RequestFailedException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceNotFoundException(body, context);
        exception = new ResourceNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1StageNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1StageNotFoundException(body, context);
        exception = new StageNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1StageNotRetryableExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1StageNotRetryableException(body, context);
        exception = new StageNotRetryableException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1TooManyTagsExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1TooManyTagsException(body, context);
        exception = new TooManyTagsException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ValidationExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ValidationException(body, context);
        exception = new ValidationException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1WebhookNotFoundExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1WebhookNotFoundException(body, context);
        exception = new WebhookNotFoundException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var serializeAws_json1_1AcknowledgeJobInput = function (input, context) {
    return __assign(__assign({}, (input.jobId != null && { jobId: input.jobId })), (input.nonce != null && { nonce: input.nonce }));
};
var serializeAws_json1_1AcknowledgeThirdPartyJobInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.clientToken != null && { clientToken: input.clientToken })), (input.jobId != null && { jobId: input.jobId })), (input.nonce != null && { nonce: input.nonce }));
};
var serializeAws_json1_1ActionConfigurationMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1ActionConfigurationProperty = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.description != null && { description: input.description })), (input.key != null && { key: input.key })), (input.name != null && { name: input.name })), (input.queryable != null && { queryable: input.queryable })), (input.required != null && { required: input.required })), (input.secret != null && { secret: input.secret })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1ActionConfigurationPropertyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1ActionConfigurationProperty(entry, context);
    });
};
var serializeAws_json1_1ActionDeclaration = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.actionTypeId != null && { actionTypeId: serializeAws_json1_1ActionTypeId(input.actionTypeId, context) })), (input.configuration != null && {
        configuration: serializeAws_json1_1ActionConfigurationMap(input.configuration, context),
    })), (input.inputArtifacts != null && {
        inputArtifacts: serializeAws_json1_1InputArtifactList(input.inputArtifacts, context),
    })), (input.name != null && { name: input.name })), (input.namespace != null && { namespace: input.namespace })), (input.outputArtifacts != null && {
        outputArtifacts: serializeAws_json1_1OutputArtifactList(input.outputArtifacts, context),
    })), (input.region != null && { region: input.region })), (input.roleArn != null && { roleArn: input.roleArn })), (input.runOrder != null && { runOrder: input.runOrder }));
};
var serializeAws_json1_1ActionExecutionFilter = function (input, context) {
    return __assign({}, (input.pipelineExecutionId != null && { pipelineExecutionId: input.pipelineExecutionId }));
};
var serializeAws_json1_1ActionRevision = function (input, context) {
    return __assign(__assign(__assign({}, (input.created != null && { created: Math.round(input.created.getTime() / 1000) })), (input.revisionChangeId != null && { revisionChangeId: input.revisionChangeId })), (input.revisionId != null && { revisionId: input.revisionId }));
};
var serializeAws_json1_1ActionTypeArtifactDetails = function (input, context) {
    return __assign(__assign({}, (input.maximumCount != null && { maximumCount: input.maximumCount })), (input.minimumCount != null && { minimumCount: input.minimumCount }));
};
var serializeAws_json1_1ActionTypeDeclaration = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.description != null && { description: input.description })), (input.executor != null && { executor: serializeAws_json1_1ActionTypeExecutor(input.executor, context) })), (input.id != null && { id: serializeAws_json1_1ActionTypeIdentifier(input.id, context) })), (input.inputArtifactDetails != null && {
        inputArtifactDetails: serializeAws_json1_1ActionTypeArtifactDetails(input.inputArtifactDetails, context),
    })), (input.outputArtifactDetails != null && {
        outputArtifactDetails: serializeAws_json1_1ActionTypeArtifactDetails(input.outputArtifactDetails, context),
    })), (input.permissions != null && {
        permissions: serializeAws_json1_1ActionTypePermissions(input.permissions, context),
    })), (input.properties != null && {
        properties: serializeAws_json1_1ActionTypeProperties(input.properties, context),
    })), (input.urls != null && { urls: serializeAws_json1_1ActionTypeUrls(input.urls, context) }));
};
var serializeAws_json1_1ActionTypeExecutor = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.configuration != null && {
        configuration: serializeAws_json1_1ExecutorConfiguration(input.configuration, context),
    })), (input.jobTimeout != null && { jobTimeout: input.jobTimeout })), (input.policyStatementsTemplate != null && { policyStatementsTemplate: input.policyStatementsTemplate })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1ActionTypeId = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.category != null && { category: input.category })), (input.owner != null && { owner: input.owner })), (input.provider != null && { provider: input.provider })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1ActionTypeIdentifier = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.category != null && { category: input.category })), (input.owner != null && { owner: input.owner })), (input.provider != null && { provider: input.provider })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1ActionTypePermissions = function (input, context) {
    return __assign({}, (input.allowedAccounts != null && {
        allowedAccounts: serializeAws_json1_1AllowedAccounts(input.allowedAccounts, context),
    }));
};
var serializeAws_json1_1ActionTypeProperties = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1ActionTypeProperty(entry, context);
    });
};
var serializeAws_json1_1ActionTypeProperty = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.description != null && { description: input.description })), (input.key != null && { key: input.key })), (input.name != null && { name: input.name })), (input.noEcho != null && { noEcho: input.noEcho })), (input.optional != null && { optional: input.optional })), (input.queryable != null && { queryable: input.queryable }));
};
var serializeAws_json1_1ActionTypeSettings = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.entityUrlTemplate != null && { entityUrlTemplate: input.entityUrlTemplate })), (input.executionUrlTemplate != null && { executionUrlTemplate: input.executionUrlTemplate })), (input.revisionUrlTemplate != null && { revisionUrlTemplate: input.revisionUrlTemplate })), (input.thirdPartyConfigurationUrl != null && { thirdPartyConfigurationUrl: input.thirdPartyConfigurationUrl }));
};
var serializeAws_json1_1ActionTypeUrls = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.configurationUrl != null && { configurationUrl: input.configurationUrl })), (input.entityUrlTemplate != null && { entityUrlTemplate: input.entityUrlTemplate })), (input.executionUrlTemplate != null && { executionUrlTemplate: input.executionUrlTemplate })), (input.revisionUrlTemplate != null && { revisionUrlTemplate: input.revisionUrlTemplate }));
};
var serializeAws_json1_1AllowedAccounts = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return entry;
    });
};
var serializeAws_json1_1ApprovalResult = function (input, context) {
    return __assign(__assign({}, (input.status != null && { status: input.status })), (input.summary != null && { summary: input.summary }));
};
var serializeAws_json1_1ArtifactDetails = function (input, context) {
    return __assign(__assign({}, (input.maximumCount != null && { maximumCount: input.maximumCount })), (input.minimumCount != null && { minimumCount: input.minimumCount }));
};
var serializeAws_json1_1ArtifactStore = function (input, context) {
    return __assign(__assign(__assign({}, (input.encryptionKey != null && {
        encryptionKey: serializeAws_json1_1EncryptionKey(input.encryptionKey, context),
    })), (input.location != null && { location: input.location })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1ArtifactStoreMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = serializeAws_json1_1ArtifactStore(value, context), _b));
    }, {});
};
var serializeAws_json1_1BlockerDeclaration = function (input, context) {
    return __assign(__assign({}, (input.name != null && { name: input.name })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1CreateCustomActionTypeInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.category != null && { category: input.category })), (input.configurationProperties != null && {
        configurationProperties: serializeAws_json1_1ActionConfigurationPropertyList(input.configurationProperties, context),
    })), (input.inputArtifactDetails != null && {
        inputArtifactDetails: serializeAws_json1_1ArtifactDetails(input.inputArtifactDetails, context),
    })), (input.outputArtifactDetails != null && {
        outputArtifactDetails: serializeAws_json1_1ArtifactDetails(input.outputArtifactDetails, context),
    })), (input.provider != null && { provider: input.provider })), (input.settings != null && { settings: serializeAws_json1_1ActionTypeSettings(input.settings, context) })), (input.tags != null && { tags: serializeAws_json1_1TagList(input.tags, context) })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1CreatePipelineInput = function (input, context) {
    return __assign(__assign({}, (input.pipeline != null && { pipeline: serializeAws_json1_1PipelineDeclaration(input.pipeline, context) })), (input.tags != null && { tags: serializeAws_json1_1TagList(input.tags, context) }));
};
var serializeAws_json1_1CurrentRevision = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.changeIdentifier != null && { changeIdentifier: input.changeIdentifier })), (input.created != null && { created: Math.round(input.created.getTime() / 1000) })), (input.revision != null && { revision: input.revision })), (input.revisionSummary != null && { revisionSummary: input.revisionSummary }));
};
var serializeAws_json1_1DeleteCustomActionTypeInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.category != null && { category: input.category })), (input.provider != null && { provider: input.provider })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1DeletePipelineInput = function (input, context) {
    return __assign({}, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1DeleteWebhookInput = function (input, context) {
    return __assign({}, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1DeregisterWebhookWithThirdPartyInput = function (input, context) {
    return __assign({}, (input.webhookName != null && { webhookName: input.webhookName }));
};
var serializeAws_json1_1DisableStageTransitionInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.reason != null && { reason: input.reason })), (input.stageName != null && { stageName: input.stageName })), (input.transitionType != null && { transitionType: input.transitionType }));
};
var serializeAws_json1_1EnableStageTransitionInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.stageName != null && { stageName: input.stageName })), (input.transitionType != null && { transitionType: input.transitionType }));
};
var serializeAws_json1_1EncryptionKey = function (input, context) {
    return __assign(__assign({}, (input.id != null && { id: input.id })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1ExecutionDetails = function (input, context) {
    return __assign(__assign(__assign({}, (input.externalExecutionId != null && { externalExecutionId: input.externalExecutionId })), (input.percentComplete != null && { percentComplete: input.percentComplete })), (input.summary != null && { summary: input.summary }));
};
var serializeAws_json1_1ExecutorConfiguration = function (input, context) {
    return __assign(__assign({}, (input.jobWorkerExecutorConfiguration != null && {
        jobWorkerExecutorConfiguration: serializeAws_json1_1JobWorkerExecutorConfiguration(input.jobWorkerExecutorConfiguration, context),
    })), (input.lambdaExecutorConfiguration != null && {
        lambdaExecutorConfiguration: serializeAws_json1_1LambdaExecutorConfiguration(input.lambdaExecutorConfiguration, context),
    }));
};
var serializeAws_json1_1FailureDetails = function (input, context) {
    return __assign(__assign(__assign({}, (input.externalExecutionId != null && { externalExecutionId: input.externalExecutionId })), (input.message != null && { message: input.message })), (input.type != null && { type: input.type }));
};
var serializeAws_json1_1GetActionTypeInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.category != null && { category: input.category })), (input.owner != null && { owner: input.owner })), (input.provider != null && { provider: input.provider })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1GetJobDetailsInput = function (input, context) {
    return __assign({}, (input.jobId != null && { jobId: input.jobId }));
};
var serializeAws_json1_1GetPipelineExecutionInput = function (input, context) {
    return __assign(__assign({}, (input.pipelineExecutionId != null && { pipelineExecutionId: input.pipelineExecutionId })), (input.pipelineName != null && { pipelineName: input.pipelineName }));
};
var serializeAws_json1_1GetPipelineInput = function (input, context) {
    return __assign(__assign({}, (input.name != null && { name: input.name })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1GetPipelineStateInput = function (input, context) {
    return __assign({}, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1GetThirdPartyJobDetailsInput = function (input, context) {
    return __assign(__assign({}, (input.clientToken != null && { clientToken: input.clientToken })), (input.jobId != null && { jobId: input.jobId }));
};
var serializeAws_json1_1InputArtifact = function (input, context) {
    return __assign({}, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1InputArtifactList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1InputArtifact(entry, context);
    });
};
var serializeAws_json1_1JobWorkerExecutorConfiguration = function (input, context) {
    return __assign(__assign({}, (input.pollingAccounts != null && {
        pollingAccounts: serializeAws_json1_1PollingAccountList(input.pollingAccounts, context),
    })), (input.pollingServicePrincipals != null && {
        pollingServicePrincipals: serializeAws_json1_1PollingServicePrincipalList(input.pollingServicePrincipals, context),
    }));
};
var serializeAws_json1_1LambdaExecutorConfiguration = function (input, context) {
    return __assign({}, (input.lambdaFunctionArn != null && { lambdaFunctionArn: input.lambdaFunctionArn }));
};
var serializeAws_json1_1ListActionExecutionsInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.filter != null && { filter: serializeAws_json1_1ActionExecutionFilter(input.filter, context) })), (input.maxResults != null && { maxResults: input.maxResults })), (input.nextToken != null && { nextToken: input.nextToken })), (input.pipelineName != null && { pipelineName: input.pipelineName }));
};
var serializeAws_json1_1ListActionTypesInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.actionOwnerFilter != null && { actionOwnerFilter: input.actionOwnerFilter })), (input.nextToken != null && { nextToken: input.nextToken })), (input.regionFilter != null && { regionFilter: input.regionFilter }));
};
var serializeAws_json1_1ListPipelineExecutionsInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.maxResults != null && { maxResults: input.maxResults })), (input.nextToken != null && { nextToken: input.nextToken })), (input.pipelineName != null && { pipelineName: input.pipelineName }));
};
var serializeAws_json1_1ListPipelinesInput = function (input, context) {
    return __assign(__assign({}, (input.maxResults != null && { maxResults: input.maxResults })), (input.nextToken != null && { nextToken: input.nextToken }));
};
var serializeAws_json1_1ListTagsForResourceInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.maxResults != null && { maxResults: input.maxResults })), (input.nextToken != null && { nextToken: input.nextToken })), (input.resourceArn != null && { resourceArn: input.resourceArn }));
};
var serializeAws_json1_1ListWebhooksInput = function (input, context) {
    return __assign(__assign({}, (input.MaxResults != null && { MaxResults: input.MaxResults })), (input.NextToken != null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1OutputArtifact = function (input, context) {
    return __assign({}, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1OutputArtifactList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1OutputArtifact(entry, context);
    });
};
var serializeAws_json1_1OutputVariablesMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1PipelineDeclaration = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.artifactStore != null && {
        artifactStore: serializeAws_json1_1ArtifactStore(input.artifactStore, context),
    })), (input.artifactStores != null && {
        artifactStores: serializeAws_json1_1ArtifactStoreMap(input.artifactStores, context),
    })), (input.name != null && { name: input.name })), (input.roleArn != null && { roleArn: input.roleArn })), (input.stages != null && { stages: serializeAws_json1_1PipelineStageDeclarationList(input.stages, context) })), (input.version != null && { version: input.version }));
};
var serializeAws_json1_1PipelineStageDeclarationList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1StageDeclaration(entry, context);
    });
};
var serializeAws_json1_1PollForJobsInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.actionTypeId != null && { actionTypeId: serializeAws_json1_1ActionTypeId(input.actionTypeId, context) })), (input.maxBatchSize != null && { maxBatchSize: input.maxBatchSize })), (input.queryParam != null && { queryParam: serializeAws_json1_1QueryParamMap(input.queryParam, context) }));
};
var serializeAws_json1_1PollForThirdPartyJobsInput = function (input, context) {
    return __assign(__assign({}, (input.actionTypeId != null && { actionTypeId: serializeAws_json1_1ActionTypeId(input.actionTypeId, context) })), (input.maxBatchSize != null && { maxBatchSize: input.maxBatchSize }));
};
var serializeAws_json1_1PollingAccountList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return entry;
    });
};
var serializeAws_json1_1PollingServicePrincipalList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return entry;
    });
};
var serializeAws_json1_1PutActionRevisionInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.actionName != null && { actionName: input.actionName })), (input.actionRevision != null && {
        actionRevision: serializeAws_json1_1ActionRevision(input.actionRevision, context),
    })), (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.stageName != null && { stageName: input.stageName }));
};
var serializeAws_json1_1PutApprovalResultInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.actionName != null && { actionName: input.actionName })), (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.result != null && { result: serializeAws_json1_1ApprovalResult(input.result, context) })), (input.stageName != null && { stageName: input.stageName })), (input.token != null && { token: input.token }));
};
var serializeAws_json1_1PutJobFailureResultInput = function (input, context) {
    return __assign(__assign({}, (input.failureDetails != null && {
        failureDetails: serializeAws_json1_1FailureDetails(input.failureDetails, context),
    })), (input.jobId != null && { jobId: input.jobId }));
};
var serializeAws_json1_1PutJobSuccessResultInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.continuationToken != null && { continuationToken: input.continuationToken })), (input.currentRevision != null && {
        currentRevision: serializeAws_json1_1CurrentRevision(input.currentRevision, context),
    })), (input.executionDetails != null && {
        executionDetails: serializeAws_json1_1ExecutionDetails(input.executionDetails, context),
    })), (input.jobId != null && { jobId: input.jobId })), (input.outputVariables != null && {
        outputVariables: serializeAws_json1_1OutputVariablesMap(input.outputVariables, context),
    }));
};
var serializeAws_json1_1PutThirdPartyJobFailureResultInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.clientToken != null && { clientToken: input.clientToken })), (input.failureDetails != null && {
        failureDetails: serializeAws_json1_1FailureDetails(input.failureDetails, context),
    })), (input.jobId != null && { jobId: input.jobId }));
};
var serializeAws_json1_1PutThirdPartyJobSuccessResultInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.clientToken != null && { clientToken: input.clientToken })), (input.continuationToken != null && { continuationToken: input.continuationToken })), (input.currentRevision != null && {
        currentRevision: serializeAws_json1_1CurrentRevision(input.currentRevision, context),
    })), (input.executionDetails != null && {
        executionDetails: serializeAws_json1_1ExecutionDetails(input.executionDetails, context),
    })), (input.jobId != null && { jobId: input.jobId }));
};
var serializeAws_json1_1PutWebhookInput = function (input, context) {
    return __assign(__assign({}, (input.tags != null && { tags: serializeAws_json1_1TagList(input.tags, context) })), (input.webhook != null && { webhook: serializeAws_json1_1WebhookDefinition(input.webhook, context) }));
};
var serializeAws_json1_1QueryParamMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1RegisterWebhookWithThirdPartyInput = function (input, context) {
    return __assign({}, (input.webhookName != null && { webhookName: input.webhookName }));
};
var serializeAws_json1_1RetryStageExecutionInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.pipelineExecutionId != null && { pipelineExecutionId: input.pipelineExecutionId })), (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.retryMode != null && { retryMode: input.retryMode })), (input.stageName != null && { stageName: input.stageName }));
};
var serializeAws_json1_1StageActionDeclarationList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1ActionDeclaration(entry, context);
    });
};
var serializeAws_json1_1StageBlockerDeclarationList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1BlockerDeclaration(entry, context);
    });
};
var serializeAws_json1_1StageDeclaration = function (input, context) {
    return __assign(__assign(__assign({}, (input.actions != null && { actions: serializeAws_json1_1StageActionDeclarationList(input.actions, context) })), (input.blockers != null && {
        blockers: serializeAws_json1_1StageBlockerDeclarationList(input.blockers, context),
    })), (input.name != null && { name: input.name }));
};
var serializeAws_json1_1StartPipelineExecutionInput = function (input, context) {
    var _a;
    return __assign({ clientRequestToken: (_a = input.clientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.name != null && { name: input.name }));
};
var serializeAws_json1_1StopPipelineExecutionInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.abandon != null && { abandon: input.abandon })), (input.pipelineExecutionId != null && { pipelineExecutionId: input.pipelineExecutionId })), (input.pipelineName != null && { pipelineName: input.pipelineName })), (input.reason != null && { reason: input.reason }));
};
var serializeAws_json1_1Tag = function (input, context) {
    return __assign(__assign({}, (input.key != null && { key: input.key })), (input.value != null && { value: input.value }));
};
var serializeAws_json1_1TagKeyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return entry;
    });
};
var serializeAws_json1_1TagList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1Tag(entry, context);
    });
};
var serializeAws_json1_1TagResourceInput = function (input, context) {
    return __assign(__assign({}, (input.resourceArn != null && { resourceArn: input.resourceArn })), (input.tags != null && { tags: serializeAws_json1_1TagList(input.tags, context) }));
};
var serializeAws_json1_1UntagResourceInput = function (input, context) {
    return __assign(__assign({}, (input.resourceArn != null && { resourceArn: input.resourceArn })), (input.tagKeys != null && { tagKeys: serializeAws_json1_1TagKeyList(input.tagKeys, context) }));
};
var serializeAws_json1_1UpdateActionTypeInput = function (input, context) {
    return __assign({}, (input.actionType != null && {
        actionType: serializeAws_json1_1ActionTypeDeclaration(input.actionType, context),
    }));
};
var serializeAws_json1_1UpdatePipelineInput = function (input, context) {
    return __assign({}, (input.pipeline != null && { pipeline: serializeAws_json1_1PipelineDeclaration(input.pipeline, context) }));
};
var serializeAws_json1_1WebhookAuthConfiguration = function (input, context) {
    return __assign(__assign({}, (input.AllowedIPRange != null && { AllowedIPRange: input.AllowedIPRange })), (input.SecretToken != null && { SecretToken: input.SecretToken }));
};
var serializeAws_json1_1WebhookDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.authentication != null && { authentication: input.authentication })), (input.authenticationConfiguration != null && {
        authenticationConfiguration: serializeAws_json1_1WebhookAuthConfiguration(input.authenticationConfiguration, context),
    })), (input.filters != null && { filters: serializeAws_json1_1WebhookFilters(input.filters, context) })), (input.name != null && { name: input.name })), (input.targetAction != null && { targetAction: input.targetAction })), (input.targetPipeline != null && { targetPipeline: input.targetPipeline }));
};
var serializeAws_json1_1WebhookFilterRule = function (input, context) {
    return __assign(__assign({}, (input.jsonPath != null && { jsonPath: input.jsonPath })), (input.matchEquals != null && { matchEquals: input.matchEquals }));
};
var serializeAws_json1_1WebhookFilters = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        return serializeAws_json1_1WebhookFilterRule(entry, context);
    });
};
var deserializeAws_json1_1AcknowledgeJobOutput = function (output, context) {
    return {
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1AcknowledgeThirdPartyJobOutput = function (output, context) {
    return {
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1ActionConfiguration = function (output, context) {
    return {
        configuration: output.configuration != null
            ? deserializeAws_json1_1ActionConfigurationMap(output.configuration, context)
            : undefined,
    };
};
var deserializeAws_json1_1ActionConfigurationMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1ActionConfigurationProperty = function (output, context) {
    return {
        description: __expectString(output.description),
        key: __expectBoolean(output.key),
        name: __expectString(output.name),
        queryable: __expectBoolean(output.queryable),
        required: __expectBoolean(output.required),
        secret: __expectBoolean(output.secret),
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ActionConfigurationPropertyList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionConfigurationProperty(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionContext = function (output, context) {
    return {
        actionExecutionId: __expectString(output.actionExecutionId),
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1ActionDeclaration = function (output, context) {
    return {
        actionTypeId: output.actionTypeId != null ? deserializeAws_json1_1ActionTypeId(output.actionTypeId, context) : undefined,
        configuration: output.configuration != null
            ? deserializeAws_json1_1ActionConfigurationMap(output.configuration, context)
            : undefined,
        inputArtifacts: output.inputArtifacts != null
            ? deserializeAws_json1_1InputArtifactList(output.inputArtifacts, context)
            : undefined,
        name: __expectString(output.name),
        namespace: __expectString(output.namespace),
        outputArtifacts: output.outputArtifacts != null
            ? deserializeAws_json1_1OutputArtifactList(output.outputArtifacts, context)
            : undefined,
        region: __expectString(output.region),
        roleArn: __expectString(output.roleArn),
        runOrder: __expectInt32(output.runOrder),
    };
};
var deserializeAws_json1_1ActionExecution = function (output, context) {
    return {
        actionExecutionId: __expectString(output.actionExecutionId),
        errorDetails: output.errorDetails != null ? deserializeAws_json1_1ErrorDetails(output.errorDetails, context) : undefined,
        externalExecutionId: __expectString(output.externalExecutionId),
        externalExecutionUrl: __expectString(output.externalExecutionUrl),
        lastStatusChange: output.lastStatusChange != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastStatusChange)))
            : undefined,
        lastUpdatedBy: __expectString(output.lastUpdatedBy),
        percentComplete: __expectInt32(output.percentComplete),
        status: __expectString(output.status),
        summary: __expectString(output.summary),
        token: __expectString(output.token),
    };
};
var deserializeAws_json1_1ActionExecutionDetail = function (output, context) {
    return {
        actionExecutionId: __expectString(output.actionExecutionId),
        actionName: __expectString(output.actionName),
        input: output.input != null ? deserializeAws_json1_1ActionExecutionInput(output.input, context) : undefined,
        lastUpdateTime: output.lastUpdateTime != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdateTime)))
            : undefined,
        output: output.output != null ? deserializeAws_json1_1ActionExecutionOutput(output.output, context) : undefined,
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
        pipelineVersion: __expectInt32(output.pipelineVersion),
        stageName: __expectString(output.stageName),
        startTime: output.startTime != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.startTime))) : undefined,
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1ActionExecutionDetailList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionExecutionDetail(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionExecutionInput = function (output, context) {
    return {
        actionTypeId: output.actionTypeId != null ? deserializeAws_json1_1ActionTypeId(output.actionTypeId, context) : undefined,
        configuration: output.configuration != null
            ? deserializeAws_json1_1ActionConfigurationMap(output.configuration, context)
            : undefined,
        inputArtifacts: output.inputArtifacts != null
            ? deserializeAws_json1_1ArtifactDetailList(output.inputArtifacts, context)
            : undefined,
        namespace: __expectString(output.namespace),
        region: __expectString(output.region),
        resolvedConfiguration: output.resolvedConfiguration != null
            ? deserializeAws_json1_1ResolvedActionConfigurationMap(output.resolvedConfiguration, context)
            : undefined,
        roleArn: __expectString(output.roleArn),
    };
};
var deserializeAws_json1_1ActionExecutionOutput = function (output, context) {
    return {
        executionResult: output.executionResult != null
            ? deserializeAws_json1_1ActionExecutionResult(output.executionResult, context)
            : undefined,
        outputArtifacts: output.outputArtifacts != null
            ? deserializeAws_json1_1ArtifactDetailList(output.outputArtifacts, context)
            : undefined,
        outputVariables: output.outputVariables != null
            ? deserializeAws_json1_1OutputVariablesMap(output.outputVariables, context)
            : undefined,
    };
};
var deserializeAws_json1_1ActionExecutionResult = function (output, context) {
    return {
        externalExecutionId: __expectString(output.externalExecutionId),
        externalExecutionSummary: __expectString(output.externalExecutionSummary),
        externalExecutionUrl: __expectString(output.externalExecutionUrl),
    };
};
var deserializeAws_json1_1ActionNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ActionRevision = function (output, context) {
    return {
        created: output.created != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.created))) : undefined,
        revisionChangeId: __expectString(output.revisionChangeId),
        revisionId: __expectString(output.revisionId),
    };
};
var deserializeAws_json1_1ActionState = function (output, context) {
    return {
        actionName: __expectString(output.actionName),
        currentRevision: output.currentRevision != null
            ? deserializeAws_json1_1ActionRevision(output.currentRevision, context)
            : undefined,
        entityUrl: __expectString(output.entityUrl),
        latestExecution: output.latestExecution != null
            ? deserializeAws_json1_1ActionExecution(output.latestExecution, context)
            : undefined,
        revisionUrl: __expectString(output.revisionUrl),
    };
};
var deserializeAws_json1_1ActionStateList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionState(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionType = function (output, context) {
    return {
        actionConfigurationProperties: output.actionConfigurationProperties != null
            ? deserializeAws_json1_1ActionConfigurationPropertyList(output.actionConfigurationProperties, context)
            : undefined,
        id: output.id != null ? deserializeAws_json1_1ActionTypeId(output.id, context) : undefined,
        inputArtifactDetails: output.inputArtifactDetails != null
            ? deserializeAws_json1_1ArtifactDetails(output.inputArtifactDetails, context)
            : undefined,
        outputArtifactDetails: output.outputArtifactDetails != null
            ? deserializeAws_json1_1ArtifactDetails(output.outputArtifactDetails, context)
            : undefined,
        settings: output.settings != null ? deserializeAws_json1_1ActionTypeSettings(output.settings, context) : undefined,
    };
};
var deserializeAws_json1_1ActionTypeArtifactDetails = function (output, context) {
    return {
        maximumCount: __expectInt32(output.maximumCount),
        minimumCount: __expectInt32(output.minimumCount),
    };
};
var deserializeAws_json1_1ActionTypeDeclaration = function (output, context) {
    return {
        description: __expectString(output.description),
        executor: output.executor != null ? deserializeAws_json1_1ActionTypeExecutor(output.executor, context) : undefined,
        id: output.id != null ? deserializeAws_json1_1ActionTypeIdentifier(output.id, context) : undefined,
        inputArtifactDetails: output.inputArtifactDetails != null
            ? deserializeAws_json1_1ActionTypeArtifactDetails(output.inputArtifactDetails, context)
            : undefined,
        outputArtifactDetails: output.outputArtifactDetails != null
            ? deserializeAws_json1_1ActionTypeArtifactDetails(output.outputArtifactDetails, context)
            : undefined,
        permissions: output.permissions != null ? deserializeAws_json1_1ActionTypePermissions(output.permissions, context) : undefined,
        properties: output.properties != null ? deserializeAws_json1_1ActionTypeProperties(output.properties, context) : undefined,
        urls: output.urls != null ? deserializeAws_json1_1ActionTypeUrls(output.urls, context) : undefined,
    };
};
var deserializeAws_json1_1ActionTypeExecutor = function (output, context) {
    return {
        configuration: output.configuration != null
            ? deserializeAws_json1_1ExecutorConfiguration(output.configuration, context)
            : undefined,
        jobTimeout: __expectInt32(output.jobTimeout),
        policyStatementsTemplate: __expectString(output.policyStatementsTemplate),
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ActionTypeId = function (output, context) {
    return {
        category: __expectString(output.category),
        owner: __expectString(output.owner),
        provider: __expectString(output.provider),
        version: __expectString(output.version),
    };
};
var deserializeAws_json1_1ActionTypeIdentifier = function (output, context) {
    return {
        category: __expectString(output.category),
        owner: __expectString(output.owner),
        provider: __expectString(output.provider),
        version: __expectString(output.version),
    };
};
var deserializeAws_json1_1ActionTypeList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionType(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionTypeNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ActionTypePermissions = function (output, context) {
    return {
        allowedAccounts: output.allowedAccounts != null
            ? deserializeAws_json1_1AllowedAccounts(output.allowedAccounts, context)
            : undefined,
    };
};
var deserializeAws_json1_1ActionTypeProperties = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionTypeProperty(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionTypeProperty = function (output, context) {
    return {
        description: __expectString(output.description),
        key: __expectBoolean(output.key),
        name: __expectString(output.name),
        noEcho: __expectBoolean(output.noEcho),
        optional: __expectBoolean(output.optional),
        queryable: __expectBoolean(output.queryable),
    };
};
var deserializeAws_json1_1ActionTypeSettings = function (output, context) {
    return {
        entityUrlTemplate: __expectString(output.entityUrlTemplate),
        executionUrlTemplate: __expectString(output.executionUrlTemplate),
        revisionUrlTemplate: __expectString(output.revisionUrlTemplate),
        thirdPartyConfigurationUrl: __expectString(output.thirdPartyConfigurationUrl),
    };
};
var deserializeAws_json1_1ActionTypeUrls = function (output, context) {
    return {
        configurationUrl: __expectString(output.configurationUrl),
        entityUrlTemplate: __expectString(output.entityUrlTemplate),
        executionUrlTemplate: __expectString(output.executionUrlTemplate),
        revisionUrlTemplate: __expectString(output.revisionUrlTemplate),
    };
};
var deserializeAws_json1_1AllowedAccounts = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ApprovalAlreadyCompletedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Artifact = function (output, context) {
    return {
        location: output.location != null ? deserializeAws_json1_1ArtifactLocation(output.location, context) : undefined,
        name: __expectString(output.name),
        revision: __expectString(output.revision),
    };
};
var deserializeAws_json1_1ArtifactDetail = function (output, context) {
    return {
        name: __expectString(output.name),
        s3location: output.s3location != null ? deserializeAws_json1_1S3Location(output.s3location, context) : undefined,
    };
};
var deserializeAws_json1_1ArtifactDetailList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ArtifactDetail(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ArtifactDetails = function (output, context) {
    return {
        maximumCount: __expectInt32(output.maximumCount),
        minimumCount: __expectInt32(output.minimumCount),
    };
};
var deserializeAws_json1_1ArtifactList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Artifact(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ArtifactLocation = function (output, context) {
    return {
        s3Location: output.s3Location != null ? deserializeAws_json1_1S3ArtifactLocation(output.s3Location, context) : undefined,
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ArtifactRevision = function (output, context) {
    return {
        created: output.created != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.created))) : undefined,
        name: __expectString(output.name),
        revisionChangeIdentifier: __expectString(output.revisionChangeIdentifier),
        revisionId: __expectString(output.revisionId),
        revisionSummary: __expectString(output.revisionSummary),
        revisionUrl: __expectString(output.revisionUrl),
    };
};
var deserializeAws_json1_1ArtifactRevisionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ArtifactRevision(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ArtifactStore = function (output, context) {
    return {
        encryptionKey: output.encryptionKey != null ? deserializeAws_json1_1EncryptionKey(output.encryptionKey, context) : undefined,
        location: __expectString(output.location),
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ArtifactStoreMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = deserializeAws_json1_1ArtifactStore(value, context), _b));
    }, {});
};
var deserializeAws_json1_1AWSSessionCredentials = function (output, context) {
    return {
        accessKeyId: __expectString(output.accessKeyId),
        secretAccessKey: __expectString(output.secretAccessKey),
        sessionToken: __expectString(output.sessionToken),
    };
};
var deserializeAws_json1_1BlockerDeclaration = function (output, context) {
    return {
        name: __expectString(output.name),
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ConcurrentModificationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ConflictException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1CreateCustomActionTypeOutput = function (output, context) {
    return {
        actionType: output.actionType != null ? deserializeAws_json1_1ActionType(output.actionType, context) : undefined,
        tags: output.tags != null ? deserializeAws_json1_1TagList(output.tags, context) : undefined,
    };
};
var deserializeAws_json1_1CreatePipelineOutput = function (output, context) {
    return {
        pipeline: output.pipeline != null ? deserializeAws_json1_1PipelineDeclaration(output.pipeline, context) : undefined,
        tags: output.tags != null ? deserializeAws_json1_1TagList(output.tags, context) : undefined,
    };
};
var deserializeAws_json1_1DeleteWebhookOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeregisterWebhookWithThirdPartyOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1DuplicatedStopRequestException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1EncryptionKey = function (output, context) {
    return {
        id: __expectString(output.id),
        type: __expectString(output.type),
    };
};
var deserializeAws_json1_1ErrorDetails = function (output, context) {
    return {
        code: __expectString(output.code),
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ExecutionTrigger = function (output, context) {
    return {
        triggerDetail: __expectString(output.triggerDetail),
        triggerType: __expectString(output.triggerType),
    };
};
var deserializeAws_json1_1ExecutorConfiguration = function (output, context) {
    return {
        jobWorkerExecutorConfiguration: output.jobWorkerExecutorConfiguration != null
            ? deserializeAws_json1_1JobWorkerExecutorConfiguration(output.jobWorkerExecutorConfiguration, context)
            : undefined,
        lambdaExecutorConfiguration: output.lambdaExecutorConfiguration != null
            ? deserializeAws_json1_1LambdaExecutorConfiguration(output.lambdaExecutorConfiguration, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetActionTypeOutput = function (output, context) {
    return {
        actionType: output.actionType != null ? deserializeAws_json1_1ActionTypeDeclaration(output.actionType, context) : undefined,
    };
};
var deserializeAws_json1_1GetJobDetailsOutput = function (output, context) {
    return {
        jobDetails: output.jobDetails != null ? deserializeAws_json1_1JobDetails(output.jobDetails, context) : undefined,
    };
};
var deserializeAws_json1_1GetPipelineExecutionOutput = function (output, context) {
    return {
        pipelineExecution: output.pipelineExecution != null
            ? deserializeAws_json1_1PipelineExecution(output.pipelineExecution, context)
            : undefined,
    };
};
var deserializeAws_json1_1GetPipelineOutput = function (output, context) {
    return {
        metadata: output.metadata != null ? deserializeAws_json1_1PipelineMetadata(output.metadata, context) : undefined,
        pipeline: output.pipeline != null ? deserializeAws_json1_1PipelineDeclaration(output.pipeline, context) : undefined,
    };
};
var deserializeAws_json1_1GetPipelineStateOutput = function (output, context) {
    return {
        created: output.created != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.created))) : undefined,
        pipelineName: __expectString(output.pipelineName),
        pipelineVersion: __expectInt32(output.pipelineVersion),
        stageStates: output.stageStates != null ? deserializeAws_json1_1StageStateList(output.stageStates, context) : undefined,
        updated: output.updated != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.updated))) : undefined,
    };
};
var deserializeAws_json1_1GetThirdPartyJobDetailsOutput = function (output, context) {
    return {
        jobDetails: output.jobDetails != null ? deserializeAws_json1_1ThirdPartyJobDetails(output.jobDetails, context) : undefined,
    };
};
var deserializeAws_json1_1InputArtifact = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1InputArtifactList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InputArtifact(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InvalidActionDeclarationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidApprovalTokenException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidArnException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidBlockerDeclarationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidClientTokenException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidJobException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidJobStateException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidNextTokenException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidNonceException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidStageDeclarationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidStructureException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidTagsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidWebhookAuthenticationParametersException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1InvalidWebhookFilterPatternException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1Job = function (output, context) {
    return {
        accountId: __expectString(output.accountId),
        data: output.data != null ? deserializeAws_json1_1JobData(output.data, context) : undefined,
        id: __expectString(output.id),
        nonce: __expectString(output.nonce),
    };
};
var deserializeAws_json1_1JobData = function (output, context) {
    return {
        actionConfiguration: output.actionConfiguration != null
            ? deserializeAws_json1_1ActionConfiguration(output.actionConfiguration, context)
            : undefined,
        actionTypeId: output.actionTypeId != null ? deserializeAws_json1_1ActionTypeId(output.actionTypeId, context) : undefined,
        artifactCredentials: output.artifactCredentials != null
            ? deserializeAws_json1_1AWSSessionCredentials(output.artifactCredentials, context)
            : undefined,
        continuationToken: __expectString(output.continuationToken),
        encryptionKey: output.encryptionKey != null ? deserializeAws_json1_1EncryptionKey(output.encryptionKey, context) : undefined,
        inputArtifacts: output.inputArtifacts != null ? deserializeAws_json1_1ArtifactList(output.inputArtifacts, context) : undefined,
        outputArtifacts: output.outputArtifacts != null ? deserializeAws_json1_1ArtifactList(output.outputArtifacts, context) : undefined,
        pipelineContext: output.pipelineContext != null
            ? deserializeAws_json1_1PipelineContext(output.pipelineContext, context)
            : undefined,
    };
};
var deserializeAws_json1_1JobDetails = function (output, context) {
    return {
        accountId: __expectString(output.accountId),
        data: output.data != null ? deserializeAws_json1_1JobData(output.data, context) : undefined,
        id: __expectString(output.id),
    };
};
var deserializeAws_json1_1JobList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Job(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1JobNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1JobWorkerExecutorConfiguration = function (output, context) {
    return {
        pollingAccounts: output.pollingAccounts != null
            ? deserializeAws_json1_1PollingAccountList(output.pollingAccounts, context)
            : undefined,
        pollingServicePrincipals: output.pollingServicePrincipals != null
            ? deserializeAws_json1_1PollingServicePrincipalList(output.pollingServicePrincipals, context)
            : undefined,
    };
};
var deserializeAws_json1_1LambdaExecutorConfiguration = function (output, context) {
    return {
        lambdaFunctionArn: __expectString(output.lambdaFunctionArn),
    };
};
var deserializeAws_json1_1LimitExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ListActionExecutionsOutput = function (output, context) {
    return {
        actionExecutionDetails: output.actionExecutionDetails != null
            ? deserializeAws_json1_1ActionExecutionDetailList(output.actionExecutionDetails, context)
            : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListActionTypesOutput = function (output, context) {
    return {
        actionTypes: output.actionTypes != null ? deserializeAws_json1_1ActionTypeList(output.actionTypes, context) : undefined,
        nextToken: __expectString(output.nextToken),
    };
};
var deserializeAws_json1_1ListPipelineExecutionsOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        pipelineExecutionSummaries: output.pipelineExecutionSummaries != null
            ? deserializeAws_json1_1PipelineExecutionSummaryList(output.pipelineExecutionSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListPipelinesOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        pipelines: output.pipelines != null ? deserializeAws_json1_1PipelineList(output.pipelines, context) : undefined,
    };
};
var deserializeAws_json1_1ListTagsForResourceOutput = function (output, context) {
    return {
        nextToken: __expectString(output.nextToken),
        tags: output.tags != null ? deserializeAws_json1_1TagList(output.tags, context) : undefined,
    };
};
var deserializeAws_json1_1ListWebhookItem = function (output, context) {
    return {
        arn: __expectString(output.arn),
        definition: output.definition != null ? deserializeAws_json1_1WebhookDefinition(output.definition, context) : undefined,
        errorCode: __expectString(output.errorCode),
        errorMessage: __expectString(output.errorMessage),
        lastTriggered: output.lastTriggered != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastTriggered)))
            : undefined,
        tags: output.tags != null ? deserializeAws_json1_1TagList(output.tags, context) : undefined,
        url: __expectString(output.url),
    };
};
var deserializeAws_json1_1ListWebhooksOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        webhooks: output.webhooks != null ? deserializeAws_json1_1WebhookList(output.webhooks, context) : undefined,
    };
};
var deserializeAws_json1_1NotLatestPipelineExecutionException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1OutputArtifact = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1OutputArtifactList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1OutputArtifact(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1OutputVariablesMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1OutputVariablesSizeExceededException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PipelineContext = function (output, context) {
    return {
        action: output.action != null ? deserializeAws_json1_1ActionContext(output.action, context) : undefined,
        pipelineArn: __expectString(output.pipelineArn),
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
        pipelineName: __expectString(output.pipelineName),
        stage: output.stage != null ? deserializeAws_json1_1StageContext(output.stage, context) : undefined,
    };
};
var deserializeAws_json1_1PipelineDeclaration = function (output, context) {
    return {
        artifactStore: output.artifactStore != null ? deserializeAws_json1_1ArtifactStore(output.artifactStore, context) : undefined,
        artifactStores: output.artifactStores != null
            ? deserializeAws_json1_1ArtifactStoreMap(output.artifactStores, context)
            : undefined,
        name: __expectString(output.name),
        roleArn: __expectString(output.roleArn),
        stages: output.stages != null ? deserializeAws_json1_1PipelineStageDeclarationList(output.stages, context) : undefined,
        version: __expectInt32(output.version),
    };
};
var deserializeAws_json1_1PipelineExecution = function (output, context) {
    return {
        artifactRevisions: output.artifactRevisions != null
            ? deserializeAws_json1_1ArtifactRevisionList(output.artifactRevisions, context)
            : undefined,
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
        pipelineName: __expectString(output.pipelineName),
        pipelineVersion: __expectInt32(output.pipelineVersion),
        status: __expectString(output.status),
        statusSummary: __expectString(output.statusSummary),
    };
};
var deserializeAws_json1_1PipelineExecutionNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PipelineExecutionNotStoppableException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PipelineExecutionSummary = function (output, context) {
    return {
        lastUpdateTime: output.lastUpdateTime != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastUpdateTime)))
            : undefined,
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
        sourceRevisions: output.sourceRevisions != null
            ? deserializeAws_json1_1SourceRevisionList(output.sourceRevisions, context)
            : undefined,
        startTime: output.startTime != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.startTime))) : undefined,
        status: __expectString(output.status),
        stopTrigger: output.stopTrigger != null ? deserializeAws_json1_1StopExecutionTrigger(output.stopTrigger, context) : undefined,
        trigger: output.trigger != null ? deserializeAws_json1_1ExecutionTrigger(output.trigger, context) : undefined,
    };
};
var deserializeAws_json1_1PipelineExecutionSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PipelineExecutionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PipelineList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PipelineSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PipelineMetadata = function (output, context) {
    return {
        created: output.created != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.created))) : undefined,
        pipelineArn: __expectString(output.pipelineArn),
        updated: output.updated != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.updated))) : undefined,
    };
};
var deserializeAws_json1_1PipelineNameInUseException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PipelineNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PipelineStageDeclarationList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1StageDeclaration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PipelineSummary = function (output, context) {
    return {
        created: output.created != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.created))) : undefined,
        name: __expectString(output.name),
        updated: output.updated != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.updated))) : undefined,
        version: __expectInt32(output.version),
    };
};
var deserializeAws_json1_1PipelineVersionNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1PollForJobsOutput = function (output, context) {
    return {
        jobs: output.jobs != null ? deserializeAws_json1_1JobList(output.jobs, context) : undefined,
    };
};
var deserializeAws_json1_1PollForThirdPartyJobsOutput = function (output, context) {
    return {
        jobs: output.jobs != null ? deserializeAws_json1_1ThirdPartyJobList(output.jobs, context) : undefined,
    };
};
var deserializeAws_json1_1PollingAccountList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1PollingServicePrincipalList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1PutActionRevisionOutput = function (output, context) {
    return {
        newRevision: __expectBoolean(output.newRevision),
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
    };
};
var deserializeAws_json1_1PutApprovalResultOutput = function (output, context) {
    return {
        approvedAt: output.approvedAt != null ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.approvedAt))) : undefined,
    };
};
var deserializeAws_json1_1PutWebhookOutput = function (output, context) {
    return {
        webhook: output.webhook != null ? deserializeAws_json1_1ListWebhookItem(output.webhook, context) : undefined,
    };
};
var deserializeAws_json1_1RegisterWebhookWithThirdPartyOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1RequestFailedException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1ResolvedActionConfigurationMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1ResourceNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1RetryStageExecutionOutput = function (output, context) {
    return {
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
    };
};
var deserializeAws_json1_1S3ArtifactLocation = function (output, context) {
    return {
        bucketName: __expectString(output.bucketName),
        objectKey: __expectString(output.objectKey),
    };
};
var deserializeAws_json1_1S3Location = function (output, context) {
    return {
        bucket: __expectString(output.bucket),
        key: __expectString(output.key),
    };
};
var deserializeAws_json1_1SourceRevision = function (output, context) {
    return {
        actionName: __expectString(output.actionName),
        revisionId: __expectString(output.revisionId),
        revisionSummary: __expectString(output.revisionSummary),
        revisionUrl: __expectString(output.revisionUrl),
    };
};
var deserializeAws_json1_1SourceRevisionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SourceRevision(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1StageActionDeclarationList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionDeclaration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1StageBlockerDeclarationList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1BlockerDeclaration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1StageContext = function (output, context) {
    return {
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1StageDeclaration = function (output, context) {
    return {
        actions: output.actions != null ? deserializeAws_json1_1StageActionDeclarationList(output.actions, context) : undefined,
        blockers: output.blockers != null ? deserializeAws_json1_1StageBlockerDeclarationList(output.blockers, context) : undefined,
        name: __expectString(output.name),
    };
};
var deserializeAws_json1_1StageExecution = function (output, context) {
    return {
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
        status: __expectString(output.status),
    };
};
var deserializeAws_json1_1StageNotFoundException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1StageNotRetryableException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1StageState = function (output, context) {
    return {
        actionStates: output.actionStates != null ? deserializeAws_json1_1ActionStateList(output.actionStates, context) : undefined,
        inboundExecution: output.inboundExecution != null
            ? deserializeAws_json1_1StageExecution(output.inboundExecution, context)
            : undefined,
        inboundTransitionState: output.inboundTransitionState != null
            ? deserializeAws_json1_1TransitionState(output.inboundTransitionState, context)
            : undefined,
        latestExecution: output.latestExecution != null
            ? deserializeAws_json1_1StageExecution(output.latestExecution, context)
            : undefined,
        stageName: __expectString(output.stageName),
    };
};
var deserializeAws_json1_1StageStateList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1StageState(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1StartPipelineExecutionOutput = function (output, context) {
    return {
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
    };
};
var deserializeAws_json1_1StopExecutionTrigger = function (output, context) {
    return {
        reason: __expectString(output.reason),
    };
};
var deserializeAws_json1_1StopPipelineExecutionOutput = function (output, context) {
    return {
        pipelineExecutionId: __expectString(output.pipelineExecutionId),
    };
};
var deserializeAws_json1_1Tag = function (output, context) {
    return {
        key: __expectString(output.key),
        value: __expectString(output.value),
    };
};
var deserializeAws_json1_1TagList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tag(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TagResourceOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1ThirdPartyJob = function (output, context) {
    return {
        clientId: __expectString(output.clientId),
        jobId: __expectString(output.jobId),
    };
};
var deserializeAws_json1_1ThirdPartyJobData = function (output, context) {
    return {
        actionConfiguration: output.actionConfiguration != null
            ? deserializeAws_json1_1ActionConfiguration(output.actionConfiguration, context)
            : undefined,
        actionTypeId: output.actionTypeId != null ? deserializeAws_json1_1ActionTypeId(output.actionTypeId, context) : undefined,
        artifactCredentials: output.artifactCredentials != null
            ? deserializeAws_json1_1AWSSessionCredentials(output.artifactCredentials, context)
            : undefined,
        continuationToken: __expectString(output.continuationToken),
        encryptionKey: output.encryptionKey != null ? deserializeAws_json1_1EncryptionKey(output.encryptionKey, context) : undefined,
        inputArtifacts: output.inputArtifacts != null ? deserializeAws_json1_1ArtifactList(output.inputArtifacts, context) : undefined,
        outputArtifacts: output.outputArtifacts != null ? deserializeAws_json1_1ArtifactList(output.outputArtifacts, context) : undefined,
        pipelineContext: output.pipelineContext != null
            ? deserializeAws_json1_1PipelineContext(output.pipelineContext, context)
            : undefined,
    };
};
var deserializeAws_json1_1ThirdPartyJobDetails = function (output, context) {
    return {
        data: output.data != null ? deserializeAws_json1_1ThirdPartyJobData(output.data, context) : undefined,
        id: __expectString(output.id),
        nonce: __expectString(output.nonce),
    };
};
var deserializeAws_json1_1ThirdPartyJobList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ThirdPartyJob(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TooManyTagsException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1TransitionState = function (output, context) {
    return {
        disabledReason: __expectString(output.disabledReason),
        enabled: __expectBoolean(output.enabled),
        lastChangedAt: output.lastChangedAt != null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.lastChangedAt)))
            : undefined,
        lastChangedBy: __expectString(output.lastChangedBy),
    };
};
var deserializeAws_json1_1UntagResourceOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1UpdatePipelineOutput = function (output, context) {
    return {
        pipeline: output.pipeline != null ? deserializeAws_json1_1PipelineDeclaration(output.pipeline, context) : undefined,
    };
};
var deserializeAws_json1_1ValidationException = function (output, context) {
    return {
        message: __expectString(output.message),
    };
};
var deserializeAws_json1_1WebhookAuthConfiguration = function (output, context) {
    return {
        AllowedIPRange: __expectString(output.AllowedIPRange),
        SecretToken: __expectString(output.SecretToken),
    };
};
var deserializeAws_json1_1WebhookDefinition = function (output, context) {
    return {
        authentication: __expectString(output.authentication),
        authenticationConfiguration: output.authenticationConfiguration != null
            ? deserializeAws_json1_1WebhookAuthConfiguration(output.authenticationConfiguration, context)
            : undefined,
        filters: output.filters != null ? deserializeAws_json1_1WebhookFilters(output.filters, context) : undefined,
        name: __expectString(output.name),
        targetAction: __expectString(output.targetAction),
        targetPipeline: __expectString(output.targetPipeline),
    };
};
var deserializeAws_json1_1WebhookFilterRule = function (output, context) {
    return {
        jsonPath: __expectString(output.jsonPath),
        matchEquals: __expectString(output.matchEquals),
    };
};
var deserializeAws_json1_1WebhookFilters = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1WebhookFilterRule(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1WebhookList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ListWebhookItem(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1WebhookNotFoundException = function (output, context) {
    return {};
};
var deserializeMetadata = function (output) {
    var _a;
    return ({
        httpStatusCode: output.statusCode,
        requestId: (_a = output.headers["x-amzn-requestid"]) !== null && _a !== void 0 ? _a : output.headers["x-amzn-request-id"],
        extendedRequestId: output.headers["x-amz-id-2"],
        cfId: output.headers["x-amz-cf-id"],
    });
};
var collectBody = function (streamBody, context) {
    if (streamBody === void 0) { streamBody = new Uint8Array(); }
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
var collectBodyString = function (streamBody, context) {
    return collectBody(streamBody, context).then(function (body) { return context.utf8Encoder(body); });
};
var buildHttpRpcRequest = function (context, headers, path, resolvedHostname, body) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, contents;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                contents = {
                    protocol: protocol,
                    hostname: hostname,
                    port: port,
                    method: "POST",
                    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
                    headers: headers,
                };
                if (resolvedHostname !== undefined) {
                    contents.hostname = resolvedHostname;
                }
                if (body !== undefined) {
                    contents.body = body;
                }
                return [2, new __HttpRequest(contents)];
        }
    });
}); };
var parseBody = function (streamBody, context) {
    return collectBodyString(streamBody, context).then(function (encoded) {
        if (encoded.length) {
            return JSON.parse(encoded);
        }
        return {};
    });
};
var loadRestJsonErrorCode = function (output, data) {
    var findKey = function (object, key) { return Object.keys(object).find(function (k) { return k.toLowerCase() === key.toLowerCase(); }); };
    var sanitizeErrorCode = function (rawValue) {
        var cleanValue = rawValue;
        if (typeof cleanValue === "number") {
            cleanValue = cleanValue.toString();
        }
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    var headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
};
